package sun.security.util.math;

import java.math.BigInteger;

public interface IntegerFieldModuloP
{
    public abstract BigInteger getSize();
    
    public abstract ImmutableIntegerModuloP get0();
    
    public abstract ImmutableIntegerModuloP get1();
    
    public abstract ImmutableIntegerModuloP getElement(BigInteger p0);
    
    public abstract SmallValue getSmallValue(int p0);
    
    default public ImmutableIntegerModuloP getElement(byte[] array) {
        return this.getElement(array, 0, array.length, (byte)0);
    }
    
    public abstract ImmutableIntegerModuloP getElement(byte[] p0, int p1, int p2, byte p3);
}
